gitit-0.10.3.1: Wiki using happstack, git or darcs, and pandoc.

Safe Haskell | None

Network.Gitit.Config

Description

Functions for parsing command line options and reading the config file.

Synopsis

- getConfigFromFile :: FilePath -> IO Config
- getDefaultConfig :: IO Config
- readMimeTypesFile :: FilePath -> IO (Map String String)

# Documentation

getConfigFromFile :: FilePath -> IO Config

Get configuration from config file.

getDefaultConfig :: IO Config

Returns the default gitit configuration.

readMimeTypesFile :: FilePath -> IO (Map String String)

Read a file associating mime types with extensions, and return a map from extensions to types. Each line of the file consists of a mime type, followed by space, followed by a list of zero or more extensions, separated by spaces. Example: text/plain txt text